# -*- coding: utf-8 -*-

import os
from artix.common import logger

defaultLoggerConf = {
    'version': 1,
    'loggers': {
        '': {  # root logger
            'level': 'DEBUG',
            'handlers': ['rotatingFileHandler'],
            'propagate': False
        },
        'sync': {  # sync logger
            'level': 'DEBUG',
            'handlers': ['rotatingFileHandler'],
            'propagate': False
        }
    },
    'handlers': {
        'rotatingFileHandler': {
            'level': 'DEBUG',
            'formatter': 'syncFormatter',
            'class': 'logging.handlers.RotatingFileHandler',
            'filename': '/tmp/sync.log',
            'mode': 'a',
            'maxBytes': 5000000,
            'backupCount': 10
        }
    },
    'formatters': {
        'syncFormatter': {
            'format': '%(asctime)s %(thread)d %(levelname)-8s %(message)s %(module)5s(%(lineno)s)'
        }
    }
}


def getLogger():
    configPath = os.path.join(os.path.normpath(os.path.dirname(os.path.realpath(__file__)) + '../../properties/logging.conf'))
    return logger.SimpleLogger('/linuxcash/logs/current/sync.log' if 'linuxcash' in configPath else '/opt/sync/logs/sync.log', 'sync',
            configPath=configPath,
            dictConfigObject=defaultLoggerConf).getLogger()
